/* indent:4  tabsize:8  font:fixed-width */

/*---------------------------------------------------------------------------
| ---------------------------------------------------------------------------
|
|    SeeheavenGameDelegate :Object
|
|    << Description >>
|
| ---------------------------------------------------------------------------
\---------------------------------------------------------------------------*/

#import <appkit/appkit.h>
#import "../Solitaire/CardSet.subproj/cardset.h"
 

@interface SeeheavenGameDelegate:Object
{
    id suitCardPileViews[4];
    id tempCardPileViews[4];
}

/*----------------------------------------------------------------------------
|
|    CardPileView delegation methods
|
\---------------------------------------------------------------------------*/

- setSuitCardPileViews:(id [])theViews;
- setTempCardPileViews:(id [])theViews;
- clickedCard:aCard in:aCardPileView;
- doubleClickedCard:aCard in:aCardPileView;
- (BOOL)draggedPile:aCardPile from:discardCardPileView;
- (BOOL)canAcceptPile:aCardPile from:sender in:aCardPileView;
- removedPile:aCardPile from:aCardPileView;
- acceptPile:aCardPile in:aCardPileView;
- getOffset:(float *)xOffset :(float *)yOffset forSize:(CardSize)aSize;

@end
